version: 1

metadata:
  category: System
  {% if installed_apps is containing("citadel-system-wide") %}
  name: Citadel OS
  {% else %}
  name: Nirvati
  {% endif %}
  version: 0.1.25+fix.1
  tagline: Nirvati itself
  description: >-
    This app contains Nirvati itself. It can not be uninstalled.
  developers:
    Nirvati: https://nirvati.org
  repos:
    Backend: https://gitlab.com/nirvati/system/backend
    User interface: https://gitlab.com/nirvati/system/dashboard
  support: https://nirvati.org/
  scope: System
  exposes_permissions:
  - id: access-api
    name: API
    description: Interact with the Nirvati API
    open_to_all_users: true
    services:
      api:
        - 80
  {% if installed_apps is containing("citadel-system-wide") %}
  icon: https://official-app-icons.nirvati.org/citadel/icon.svg
  {% else %}
  icon: https://official-app-icons.nirvati.org/nirvati/icon.svg
  {% endif %}
  license: AGPL-3.0-or-later
  # TODO: Remove soon
  allow_all_internal_egress: true
  volumes:
    apps:
      minimum_size: 5Mi
      recommended_size: 100Mi
      name: Apps
      description: App definition files
    db:
      minimum_size: 50Mi
      recommended_size: 1Gi
      name: Database
      description: Nirvati's main database
